From eaa718781c8cbeadd90929820bd07c5871ec4a00 Mon Sep 17 00:00:00 2001
From: Eric Barbour <ebarbour@redhat.com>
Date: Jun 16 2016 15:54:14 +0000
Subject: [PATCH 4/9] Apply pep8 and move json data to their own files


---

diff --git a/hubs/tests/__init__.py b/hubs/tests/__init__.py
index bafe0a1..96379c2 100644
--- a/hubs/tests/__init__.py
+++ b/hubs/tests/__init__.py
@@ -1,6 +1,7 @@
 from contextlib import contextmanager
 import json
 from datetime import datetime, timedelta
+import os
 
 import munch
 from os.path import dirname
@@ -12,6 +13,8 @@ import vcr
 import hubs.models
 
 cassette_dir = dirname(dirname(__file__)) + '/vcr-request-data/'
+json_path = os.path.join(
+    os.path.join(os.path.dirname(os.path.abspath(__file__))), 'data/')
 
 
 class APPTest(unittest.TestCase):
diff --git a/hubs/tests/test_api/test_fedmsg.py b/hubs/tests/test_api/test_fedmsg.py
index ef3b6db..d6e67ef 100644
--- a/hubs/tests/test_api/test_fedmsg.py
+++ b/hubs/tests/test_api/test_fedmsg.py
@@ -1,271 +1,23 @@
 import json
+import os
 
 import hubs.tests
 import hubs.models
 from hubs.app import app
+from hubs.tests import json_path
 
 
 class TestFeed(hubs.tests.APPTest):
+
+    with open(json_path + 'message_involved.json', 'r') as fp:
+        message_involved = json.loads(fp.read())
+
+    with open(json_path + 'message_not_involved.json', 'r') as fp:
+        message_not_involved = json.loads(fp.read())
+
     # TODO this test relies on a specific filter for the atelic user
     # It would be better to fake preferences on FAS
     user = hubs.tests.FakeAuthorization('atelic')
-    message_involved = {
-        'timestamp': 1465567413.0,
-        'topic': 'io.pagure.prod.pagure.issue.new',
-        'msg_id': '2016-0490127f-473f-4d01-ASDF-a864a56dc302',
-        'msg': {
-            'action': 'created',
-            'comment': {
-                'body':
-                'hm, there is something odd, the stackage page is being inconsistent, one time the version number for LTS is linked, one time it isn\'t.\r\n\r\nIt\'s as if there are 2 servers running 2 different versions of the application',
-                'created_at': '2016-06-10T14:03:31Z',
-                'html_url':
-                'https://github.com/fedora-infra/anitya/issues/283#issuecomment-225190438',
-                'id': 225190438,
-                'updated_at': '2016-06-10T14:03:31Z',
-                'url':
-                'https://api.github.com/repos/fedora-infra/anitya/issues/comments/225190438',
-                'user': {
-                    'gravatar_id': '',
-                    'html_url': 'https://github.com/pypingou',
-                    'id': 1240038,
-                    'login': 'pypingou',
-                    'site_admin': False,
-                    'type': 'User',
-                    'url': 'https://api.github.com/users/pypingou'
-                }
-            },
-            'fas_usernames': {
-                'fedora-infra': 'github_org_fedora-infra',
-                'pypingou': 'pingou'
-            },
-            'issue': {
-                'assignee': None,
-                'body':
-                '@juhp it seems that the stackage backend is broken: https://release-monitoring.org/projects/updates/failed?name=&log=stackage want to look at it?',
-                'closed_at': '2016-04-29T14:53:10Z',
-                'comments': 8,
-                'created_at': '2016-04-15T16:15:57Z',
-                'html_url':
-                'https://github.com/fedora-infra/anitya/issues/283',
-                'id': 148703615,
-                'labels': [],
-                'locked': False,
-                'milestone': None,
-                'number': 283,
-                'state': 'closed',
-                'title': 'stackage backend broken',
-                'updated_at': '2016-06-10T14:03:31Z',
-                'url':
-                'https://api.github.com/repos/fedora-infra/anitya/issues/283',
-                'user': {
-                    'gravatar_id': '',
-                    'html_url': 'https://github.com/pypingou',
-                    'id': 1240038,
-                    'login': 'pypingou',
-                    'site_admin': False,
-                    'type': 'User',
-                    'url': 'https://api.github.com/users/pypingou'
-                }
-            },
-            'organization': {
-                'description': 'Fedora Infrastructure Team',
-                'id': 3316637,
-                'login': 'fedora-infra',
-                'url': 'https://api.github.com/orgs/fedora-infra'
-            },
-            'repository': {
-                'created_at': '2013-11-29T10:17:26Z',
-                'default_branch': 'master',
-                'description': 'A cross-distribution upstream release project',
-                'fork': False,
-                'forks': 33,
-                'forks_count': 33,
-                'full_name': 'fedora-infra/anitya',
-                'has_downloads': True,
-                'has_issues': True,
-                'has_pages': False,
-                'has_wiki': False,
-                'homepage': 'https://release-monitoring.org',
-                'html_url': 'https://github.com/fedora-infra/anitya',
-                'id': 14798348,
-                'language': 'Python',
-                'name': 'anitya',
-                'open_issues': 25,
-                'open_issues_count': 25,
-                'owner': {
-                    'gravatar_id': '',
-                    'html_url': 'https://github.com/fedora-infra',
-                    'id': 3316637,
-                    'login': 'fedora-infra',
-                    'site_admin': False,
-                    'type': 'Organization',
-                    'url': 'https://api.github.com/users/fedora-infra'
-                },
-                'private': False,
-                'pushed_at': '2016-06-05T18:16:15Z',
-                'size': 4364,
-                'stargazers_count': 56,
-                'updated_at': '2016-06-10T09:43:58Z',
-                'url': 'https://api.github.com/repos/fedora-infra/anitya',
-                'watchers': 56,
-                'watchers_count': 56
-            },
-            'sender': {
-                'gravatar_id': '',
-                'html_url': 'https://github.com/pypingou',
-                'id': 1240038,
-                'login': 'pypingou',
-                'site_admin': False,
-                'type': 'User',
-                'url': 'https://api.github.com/users/pypingou'
-            }
-        },
-        'arguments': {
-            'categories': [
-                'pagure'
-            ],
-            'contains': [],
-            'delta': 172800.0,
-            'end': 1465839365.0,
-            'grouped': False,
-            'meta': [],
-            'not_categories': [],
-            'not_packages': [],
-            'not_topics': [],
-            'not_users': [],
-            'order': 'desc',
-            'packages': [],
-            'page': 1,
-            'rows_per_page': 1,
-            'start': 1465666565.0,
-            'topics': [],
-            'users': []
-        },
-        'count': 1,
-        'pages': 225,
-        'total': 225
-    }
-    message_not_involved = {
-        'topic': 'org.fedoraproject.prod.github.issue.comment',
-        'i': 1,
-        'msg': {
-            'action': 'created',
-            'comment': {
-                'body':
-                'hm, there is something odd, the stackage page is being inconsistent, one time the version number for LTS is linked, one time it isn\'t.\r\n\r\nIt\'s as if there are 2 servers running 2 different versions of the application',
-                'created_at': '2016-06-10T14:03:31Z',
-                'html_url':
-                'https://github.com/fedora-infra/anitya/issues/283#issuecomment-225190438',
-                'id': 225190438,
-                'updated_at': '2016-06-10T14:03:31Z',
-                'url':
-                'https://api.github.com/repos/fedora-infra/anitya/issues/comments/225190438',
-                'user': {
-                    'gravatar_id': '',
-                    'html_url': 'https://github.com/pypingou',
-                    'id': 1240038,
-                    'login': 'pypingou',
-                    'site_admin': False,
-                    'type': 'User',
-                    'url': 'https://api.github.com/users/pypingou'
-                }
-            },
-            'fas_usernames': {
-                'fedora-infra': 'github_org_fedora-infra',
-                'pypingou': 'pingou'
-            },
-            'issue': {
-                'assignee': None,
-                'body':
-                '@juhp it seems that the stackage backend is broken: https://release-monitoring.org/projects/updates/failed?name=&log=stackage want to look at it?',
-                'closed_at': '2016-04-29T14:53:10Z',
-                'comments': 8,
-                'created_at': '2016-04-15T16:15:57Z',
-                'html_url':
-                'https://github.com/fedora-infra/anitya/issues/283',
-                'id': 148703615,
-                'labels': [],
-                'locked': False,
-                'milestone': None,
-                'number': 283,
-                'state': 'closed',
-                'title': 'stackage backend broken',
-                'updated_at': '2016-06-10T14:03:31Z',
-                'url':
-                'https://api.github.com/repos/fedora-infra/anitya/issues/283',
-                'user': {
-                    'gravatar_id': '',
-                    'html_url': 'https://github.com/pypingou',
-                    'id': 1240038,
-                    'login': 'pypingou',
-                    'site_admin': False,
-                    'type': 'User',
-                    'url': 'https://api.github.com/users/pypingou'
-                }
-            },
-            'organization': {
-                'description': 'Fedora Infrastructure Team',
-                'id': 3316637,
-                'login': 'fedora-infra',
-                'url': 'https://api.github.com/orgs/fedora-infra'
-            },
-            'repository': {
-                'created_at': '2013-11-29T10:17:26Z',
-                'default_branch': 'master',
-                'description':
-                'A cross-distribution upstream release monitoring project',
-                'fork': False,
-                'forks': 33,
-                'forks_count': 33,
-                'full_name': 'fedora-infra/anitya',
-                'has_downloads': True,
-                'has_issues': True,
-                'has_pages': False,
-                'has_wiki': False,
-                'homepage': 'https://release-monitoring.org',
-                'html_url': 'https://github.com/fedora-infra/anitya',
-                'id': 14798348,
-                'language': 'Python',
-                'name': 'anitya',
-                'open_issues': 25,
-                'open_issues_count': 25,
-                'owner': {
-                    'gravatar_id': '',
-                    'html_url': 'https://github.com/fedora-infra',
-                    'id': 3316637,
-                    'login': 'fedora-infra',
-                    'site_admin': False,
-                    'type': 'Organization',
-                    'url': 'https://api.github.com/users/fedora-infra'
-                },
-                'private': False,
-                'pushed_at': '2016-06-05T18:16:15Z',
-                'size': 4364,
-                'stargazers_count': 56,
-                'updated_at': '2016-06-10T09:43:58Z',
-                'url': 'https://api.github.com/repos/fedora-infra/anitya',
-                'watchers': 56,
-                'watchers_count': 56
-            },
-            'sender': {
-                'gravatar_id': '',
-                'html_url': 'https://github.com/pypingou',
-                'id': 1240038,
-                'login': 'pypingou',
-                'site_admin': False,
-                'type': 'User',
-                'url': 'https://api.github.com/users/pypingou'
-            }
-        },
-        'msg_id': '2016-0490127f-473f-4d01-8e3a-a864a56dc302',
-        'signature':
-        'MNpAVdrPW78dcSe94FOS+/6QFBYo/LkrV5ee9tQedkhurHY1BGpaFHlU5l8cNVEpB7rr/zhHgQ+V\nmE3zYPmW/aREgvUoQgz74TR5F6/nK4Q1cD97VkFgHCadxZC6kjXd4H3BahEYnD+erj1iaArcdZaI\nXyKLZUBJLYL4JiXlmec=\n',
-        'source_name': 'datanommer',
-        'source_version': '0.6.5',
-        'timestamp': 1465567413.0,
-        'topic': 'org.fedoraproject.prod.github.issue.comment'
-    }
 
     plugin = 'feed'
 

